default:
  image: node:latest

stages:
- build
- deploy

cache:
  paths:
  - node_modules/

build:
  stage: build
  only:
  - master
  script:
  - npm install
  - npm run generate
  artifacts:
    paths:
    - dist/

deploy:
  stage: deploy
  only:
  - master
  script:
  - cp CNAME dist/
  - node_modules/.bin/surge dist